version: "3.3"
services:
  cdn:
    hostname: cdn
    image: halverneus/static-file-server:latest
    restart: always
    environment:
      - SHOW_LISTING=false
      - PORT=80
    networks:
      - frontend
    volumes:
      - cdn:/web:ro
      
  db:
    hostname: db
    image: mariadb:latest
    restart: always
    environment:
      - TZ=Europe/Paris
      - MYSQL_ALLOW_EMPTY_PASSWORD=no
    networks:
      - backend
    volumes:
      - database:/var/lib/mysql
        
  dbms:
    hostname: dbms
    image: phpmyadmin
    restart: always
    depends_on:
      - db
    environment:
      - PMA_HOST=db
      - PMA_PORT=3306 
    networks:
      - backend
      - frontend
      
  cms:
    hostname: cms
    image: registry.gitlab.com/ap-dofus/slc/cms:latest
    restart: always
    depends_on:
      - db
    networks:
      - backend
      - frontend
    configs:
    - source: cms
      target: /var/www/html/config.d/config.ini

  proxy:
    image: nginx:alpine
    ports:
     - "80:80"
    networks:
      - frontend
    configs:
    - source: proxy
      target: /etc/nginx/nginx.conf

  lobby:
    hostname: lobby
    image: registry.gitlab.com/ap-dofus/slc/lobby:latest
    depends_on:
      - db
    restart: always
    ports:
      - "42690:443"
    networks:
      - backend
    configs:
    - source: lobby
      target: /var/lib/dofus/config.txt

  eratz:
    image: registry.gitlab.com/ap-dofus/slc/game:latest
    depends_on:
      - db
      - lobby
    restart: always
    ports:
      - "42691:42691"
    networks:
      - backend
    configs:
    - source: eratz
      target: /var/lib/dofus/config.txt
      
      
volumes:
  database:
    driver: local
    driver_opts:
      type: none
      device: $PWD/volumes/db
      o: bind

  cdn:
    driver: local
    driver_opts:
      type: none
      device: $PWD/volumes/cdn
      o: bind


configs:
  lobby:
    file: ./configs/lobby.txt
  eratz:
    file: ./configs/eratz.txt
  cms:
    file: ./configs/cms.ini
  proxy:
    file: ./configs/proxy.conf


networks:
  backend: {}
  frontend: {}
  
